import { Router, ActivatedRouteSnapshot, RouterStateSnapshot } from '@angular/router';
import { CredentialsService } from './credentials.service';
import * as i0 from "@angular/core";
export declare class AuthenticationGuard {
    private router;
    private credentialsService;
    constructor(router: Router, credentialsService: CredentialsService);
    canActivate(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): boolean;
    canLoad(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): boolean;
    isUserAuthenticated(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<AuthenticationGuard, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AuthenticationGuard>;
}
